Page MenuHomePhabricator

includes/specials/pagers/ActiveUsersPager.php: PHP Notice: Undefined index: dir
Closed, ResolvedPublic

Description

Error

Request ID: AWjuNY3fi-uKhB2cMyhq

message
PHP Notice: Undefined index: dir
trace
#0 /srv/mediawiki/php-1.33.0-wmf.17/includes/specials/pagers/ActiveUsersPager.php(102): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.33.0-wmf.17/includes/specials/pagers/ActiveUsersPager.php(184): ActiveUsersPager->getQueryInfo(array)
#2 /srv/mediawiki/php-1.33.0-wmf.17/includes/pager/IndexPager.php(367): ActiveUsersPager->buildQueryInfo(string, integer, boolean)
#3 /srv/mediawiki/php-1.33.0-wmf.17/includes/pager/IndexPager.php(226): IndexPager->reallyDoQuery(string, integer, boolean)
#4 /srv/mediawiki/php-1.33.0-wmf.17/includes/pager/IndexPager.php(423): IndexPager->doQuery()
#5 /srv/mediawiki/php-1.33.0-wmf.17/includes/specials/SpecialActiveusers.php(62): IndexPager->getBody()
#6 /srv/mediawiki/php-1.33.0-wmf.17/includes/specialpage/SpecialPage.php(569): SpecialActiveUsers->execute(NULL)
#7 /srv/mediawiki/php-1.33.0-wmf.17/includes/specialpage/SpecialPageFactory.php(558): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.33.0-wmf.17/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.33.0-wmf.17/includes/MediaWiki.php(867): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.33.0-wmf.17/includes/MediaWiki.php(517): MediaWiki->main()
#11 /srv/mediawiki/php-1.33.0-wmf.17/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Impact

Notes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 11:00 PM
thcipriani triaged this task as High priority.Feb 14 2019, 11:58 PM

Non-frequent error that started showing up in wmf.17. Doesn't seem rollback-worthy.

Setting as High and adding as a blocker to next week's train with the hope that we can fix this regression before cutting wmf.18.

Krinkle added subscribers: Anomie, tstarling, Krinkle.

Currently the most frequent error on https://logstash.wikimedia.org/app/kibana#/dashboard/mediawiki-errors

messageCount
[{exception_id}] {exception_url} ErrorException from line 102 of /srv/mediawiki/php-1.33.0-wmf.17/includes/specials/pagers/ActiveUsersPager.php: PHP Notice: Undefined index: dir1,490

Most likely cause: rMW262fd585d0e6: Improve performance of ActiveUsersPager query / T199044

thcipriani raised the priority of this task from High to Unbreak Now!.Feb 19 2019, 2:36 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 19 2019, 2:36 PM

Change 491507 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[mediawiki/core@master] Correctly apply the ORDER BY direction in ActiveUsersPager

https://gerrit.wikimedia.org/r/491507

I would assume so, looking at the diff. The change introduces

$options['ORDER BY'] = 'qcc_title ' . $data['dir'];

but the previous version never contained that.

It should most likely be replaced by

$options['ORDER BY'] = 'qcc_title ' . $data['order'];

as ActiveUsersPager::buildQueryInfo provides the ORDER BY direction under the key order.

Change 491507 merged by jenkins-bot:
[mediawiki/core@master] Follow-up 262fd58: Correctly apply the ORDER BY in ActiveUsersPager

https://gerrit.wikimedia.org/r/491507

Mainframe98 closed this task as Resolved.Feb 19 2019, 3:53 PM
Mainframe98 claimed this task.

Change 491517 had a related patch set uploaded (by Jforrester; owner: Mainframe98):
[mediawiki/core@wmf/1.33.0-wmf.17] Follow-up 262fd58: Correctly apply the ORDER BY in ActiveUsersPager

https://gerrit.wikimedia.org/r/491517

Change 491517 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.17] Follow-up 262fd58: Correctly apply the ORDER BY in ActiveUsersPager

https://gerrit.wikimedia.org/r/491517

Mentioned in SAL (#wikimedia-operations) [2019-02-19T16:28:52Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.17/includes/specials/pagers/ActiveUsersPager.php: T216200 Hot deploy variable name fix for ActiveUsersPager query (duration: 00m 48s)

Live-deployed to wmf.17.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM